Skip to content

Searches for memberships using predefined parameters

Request

Searches for memberships using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The membership that you would like to be saved.

citystring(City)
email_addressstring(Email Address)
expiration_dateArray of strings, (date-time), = 2 items(Expiration Date)
idArray of strings(ID)

IDs to search

is_newstring(Is New)
job_titlestring(Job Title)
join_dateArray of strings, (date-time), = 2 items(Join Date)
namestring(Name)
numberArray of numbers, (float), = 2 items(Number)
originArray of strings(Origin)
owner_typestring(Owner Type)
package_idArray of strings(Package)
renewal_dateArray of strings, (date-time), = 2 items(Renewal Date)
statestring(State)
statusArray of strings(Status)
status_reason_idArray of strings(Status Reason)
termination_dateArray of strings, (date-time), = 2 items(Termination Date)
type_idArray of strings(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "city": "string",
    "email_address": "string",
    "expiration_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "id": [
      "string"
    ],
    "is_new": "string",
    "job_title": "string",
    "join_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "name": "string",
    "number": [
      0.1,
      0.1
    ],
    "origin": [
      "string"
    ],
    "owner_type": "string",
    "package_id": [
      "string"
    ],
    "renewal_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "state": "string",
    "status": [
      "string"
    ],
    "status_reason_id": [
      "string"
    ],
    "termination_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "type_id": [
      "string"
    ]
  }'

Responses

The membership search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(MembershipSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }